package com.company.compsetting.view.demo;


import com.company.compsetting.component.CustomComposite;
import com.company.compsetting.view.main.MainView;

import com.vaadin.flow.router.Route;
import io.jmix.flowui.UiComponents;
import io.jmix.flowui.view.StandardView;
import io.jmix.flowui.view.Subscribe;
import io.jmix.flowui.view.ViewController;
import io.jmix.flowui.view.ViewDescriptor;
import org.springframework.beans.factory.annotation.Autowired;

@Route(value = "demo-view", layout = MainView.class)
@ViewController("DemoView")
@ViewDescriptor("demo-view.xml")
public class DemoView extends StandardView {
    @Autowired
    private UiComponents uiComponents;

    @Subscribe
    public void onInit(final InitEvent event) {
        CustomComposite component = uiComponents.create(CustomComposite.class);
        component.setId("customComposite");
        getContent().add(component);
    }


}